<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: TTS_if Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">TTS_if Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Generate the 400Mbit TTS stream for the current TTS state.  
 <a href="classTTS__if.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TTS_if:</div>
<div class="dyncontent">
<div class="center"><img src="classTTS__if__inherit__graph.png" border="0" usemap="#TTS__if_inherit__map" alt="Inheritance graph"/></div>
<map name="TTS__if_inherit__map" id="TTS__if_inherit__map">
<area shape="rect" id="node4" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="84,155,175,181"/><area shape="rect" id="node2" href="classGray5.html" title="Gray5(2)" alt="" coords="5,5,83,32"/><area shape="rect" id="node3" href="classencode__8b10b__lut__base.html" title="work.encode_8b10b_lut_base" alt="" coords="107,5,321,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classTTS__if-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classTTS__if_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classTTS__if.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classTTS__if.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classTTS__if.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classTTS__if.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classTTS__if.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aff74a6da063d6bc9904a70d517332f09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classTTS__if.html#aff74a6da063d6bc9904a70d517332f09">sysclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a73701b7b093257d52443682146c94b8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73701b7b093257d52443682146c94b8f"></a>
<a class="el" href="classTTS__if.html#a73701b7b093257d52443682146c94b8f">TTS_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memdesc:a73701b7b093257d52443682146c94b8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">200Mhz TCDS DDR or 160Mhz fake TTC clock <br/></td></tr>
<tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classTTS__if.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a440c377405c1c0644000d70f22fe7973"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a440c377405c1c0644000d70f22fe7973"></a>
<a class="el" href="classTTS__if.html#a440c377405c1c0644000d70f22fe7973">local_TTC</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memdesc:a440c377405c1c0644000d70f22fe7973"><td class="mdescLeft">&#160;</td><td class="mdescRight">Controls TCDS DDR or TTC clock output. <br/></td></tr>
<tr class="memitem:adead76051717270fa76861ac11c8f78f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adead76051717270fa76861ac11c8f78f"></a>
<a class="el" href="classTTS__if.html#adead76051717270fa76861ac11c8f78f">TTS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memdesc:adead76051717270fa76861ac11c8f78f"><td class="mdescLeft">&#160;</td><td class="mdescRight">this is clocked by sysclk, the state signal in the top module <a class="el" href="classAMC13__T1.html">AMC13_T1</a> <br/></td></tr>
<tr class="memitem:a6c6ae222613b4bfc00c734ce49497d85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c6ae222613b4bfc00c734ce49497d85"></a>
<a class="el" href="classTTS__if.html#a6c6ae222613b4bfc00c734ce49497d85">TTS_out_p</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memdesc:a6c6ae222613b4bfc00c734ce49497d85"><td class="mdescLeft">&#160;</td><td class="mdescRight">TTS output stream (p) <br/></td></tr>
<tr class="memitem:a33fee8409a4f1ea0a717ea15858ff523"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33fee8409a4f1ea0a717ea15858ff523"></a>
<a class="el" href="classTTS__if.html#a33fee8409a4f1ea0a717ea15858ff523">TTS_out_n</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memdesc:a33fee8409a4f1ea0a717ea15858ff523"><td class="mdescLeft">&#160;</td><td class="mdescRight">TTS output stream (n) <br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Generate the 400Mbit TTS stream for the current TTS state. </p>

<p>Definition at line <a class="el" href="TTS__if_8vhd_source.html#l00057">57</a> of file <a class="el" href="TTS__if_8vhd_source.html">TTS_if.vhd</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aff74a6da063d6bc9904a70d517332f09"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classTTS__if.html#aff74a6da063d6bc9904a70d517332f09">sysclk</a> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b> </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">Port</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Additional Comments:</p>
<p>TTC <a class="el" href="classHamming.html">Hamming</a> encoding hmg[0] = d[0]^d[1]^d[2]^d[3]; hmg[1] = d[0]^d[4]^d[5]^d[6]; hmg[2] = d[1]^d[2]^d[4]^d[5]^d[7]; hmg[3] = d[1]^d[3]^d[4]^d[6]^d[7]; hmg[4] = d[0]^d[2]^d[3]^d[5]^d[6]^d[7];</p>
<p>L1A trigger from CTR module takes the position of L1A in TTC message format takes that of TTC broadcast message.(FMT = 0) BcntRes uses brcst_data(0), TTS signals uses brcst_data(7 downto 4), brcst_data(3 downto 1) are reserved and are always 0 </p>

<p>Definition at line <a class="el" href="TTS__if_8vhd_source.html#l00058">58</a> of file <a class="el" href="TTS__if_8vhd_source.html">TTS_if.vhd</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/TTS/<a class="el" href="TTS__if_8vhd_source.html">TTS_if.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
